Get transfer by ID
curl --request GET \
--url https://api.hit-pay.com/v1/transfers/{transfer_id} \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>'import requests
url = "https://api.hit-pay.com/v1/transfers/{transfer_id}"
headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};
fetch('https://api.hit-pay.com/v1/transfers/{transfer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9eb3d44a-bb68-4107-b445-cc61cd27607c",
"beneficiary": {
"id": "9eb3d3ff-3fb0-450e-bb61-7c0753974398",
"status": "approved",
"country": "sg",
"currency": "sgd",
"transfer_method": "bank_transfer",
"transfer_type": "local",
"nickname": "Test QA",
"remark": "Test QA",
"holder_name": "Test QA",
"holder_type": "individual",
"bank_branch_code": "001",
"account_number": "173737377",
"bank_name": "AMERICAN EXPRESS BANK LTD",
"bank_id": "AEIBSGSXXXX[7454]",
"email": "test@gmail.com",
"is_favourite": true,
"created_at": "2025-04-18T12:52:10+08:00",
"updated_at": "2025-04-18T12:52:10+08:00",
"deleted_at": null
},
"payment_currency": "sgd",
"payment_amount": 100,
"source_currency": "sgd",
"source_amount": 100,
"exchange_rate": "1.00000",
"fee": {
"amount": 10,
"currency": "sgd",
"paid_by": "payer"
},
"discount_fee_rate": 0,
"fixed_fee": 0,
"discount_fee": 0,
"remark": "Tessting Remark",
"status": "scheduled",
"attachment": "https://hitpay-sandbox-public.s3.ap-southeast-1.amazonaws.com/transfer-attachments/9eb3d44a-bb68-4107-b445-cc61cd27607c/9eb3d44ae7034b2a9e6feb52d3da185d.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAZ4FHSA4HSL4WZS7J%2F20250418%2Fap-southeast-1%2Fs3%2Faws4_request&X-Amz-Date=20250418T045412Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=c2057c3ce12abaf669effe9e685b8d1d082bb8b2ce64998bfa009fcd1151ff87",
"created_by": null,
"approved_by": null,
"rejected_by": null,
"created_at": "2025-04-18T12:53:00+08:00"
}Transfer
Get Transfer Detail
Retrieve details of a specific payout transfer
GET
/
v1
/
transfers
/
{transfer_id}
Get transfer by ID
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Path Parameters
The Beneficiary id
Response
200 - application/json
200
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
scheduled, processing, paid, failed, canceled Last modified on February 25, 2026
Was this page helpful?
⌘I